from random import *

def lancer_dé() :
    dé=randint(1,6)
    return dé

def jeu() :
    dé1=lancer_dé()
    dé2=lancer_dé()
    dé3=lancer_dé()
    if dé1==4 or dé1==2 or dé1==1 :
        if (dé2==4 or dé2==2 or dé2==1) and dé2!=dé1:
            if (dé3==4 or dé3==2 or dé3==1) and dé3!=dé2 and dé3!=dé1:
                return "gagné"
    return "perdu"

def répétition(n) :
    compteur=0
    for k in range (1,n+1) :
        résultat=jeu()
        if résultat=="gagné" :
            compteur=compteur+1
    fq=compteur/n
    return (compteur,fq)

